@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  background-color: hsla(0, 0%, 0%, 1);
  background-image: radial-gradient(
      at 20% 37%,
      hsla(10, 0%, 0%, 1) 0px,
      transparent 50%
    ),
    radial-gradient(at 94% 84%, hsla(153, 0%, 0%, 1) 0px, transparent 50%),
    radial-gradient(at 50% 56%, hsla(265, 0%, 0%, 1) 0px, transparent 50%),
    radial-gradient(at 80% 0%, hsla(285, 90%, 18%, 1) 0px, transparent 50%),
    radial-gradient(at 100% 50%, hsla(237, 100%, 15%, 1) 0px, transparent 50%),
    radial-gradient(at 26% 100%, hsla(240, 100%, 24%, 1) 0px, transparent 50%),
    radial-gradient(at 79% 0%, hsla(228, 100%, 18%, 1) 0px, transparent 50%),
    radial-gradient(at 0% 56%, hsla(224, 100%, 13%, 1) 0px, transparent 50%),
    radial-gradient(at 0% 100%, hsla(240, 100%, 21%, 1) 0px, transparent 50%),
    radial-gradient(at 100% 0%, hsla(240, 100%, 25%, 1) 0px, transparent 50%);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
